%define major 1
%define libxfontcache %mklibname xfontcache %{major}
%define develname %mklibname -d xfontcache

Name: libxfontcache
Summary:  The Xfontcache Library
Version: 1.0.5
Release: %mkrel 10
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{libxfontcache}
Summary:  The Xfontcache Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxfontcache}
The Xfontcache Library

%files -n %{libxfontcache}
%{_libdir}/libXfontcache.so.%{major}
%{_libdir}/libXfontcache.so.%{major}.*

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxfontcache} = %{version}-%{release}
Provides: libxfontcache-devel = %{version}-%{release}
Obsoletes: %{_lib}xfontcache1-devel < 1.0.5-3
Obsoletes: %{_lib}xfontcache-static-devel < 1.0.5-6

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXfontcache.so
%{_libdir}/pkgconfig/xfontcache.pc
%{_mandir}/man3/FontCache*
%{_mandir}/man3/Xfontcache*

#-----------------------------------------------------------

%prep
%setup -q -n libXfontcache-%{version}

%build
%configure2_5x	--disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.5-10.mga6
+ Revision: 939792
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-9.mga5
+ Revision: 744170
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-8.mga5
+ Revision: 681881
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-7.mga4
+ Revision: 532797
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.5-6.mga4
+ Revision: 469599
- drop unneeded requires
- drop Mdv era conflicts
- drop static devel pkg

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-5.mga3
+ Revision: 358579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 07 2012 fwang <fwang> 1.0.5-4.mga2
+ Revision: 192874
- fix req

* Sat Jan 07 2012 fwang <fwang> 1.0.5-3.mga2
+ Revision: 192847
- cnform devel package policy and drop .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.5-2.mga1
+ Revision: 6501
- imported package libxfontcache


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdv2011.0
+ Revision: 602619
- rebuild

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2010.1
+ Revision: 463587
- new release

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.4-4mdv2010.0
+ Revision: 425921
- rebuild
- Use %%configure2_5x instead of %%configure to avoid an unneeded (and harmful for the build) call to libtoolize

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2009.0
+ Revision: 223074
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-2mdv2008.1
+ Revision: 153306
- Update BuildRequires and rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Thu Feb 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 121456
- new release

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

